%define version 3.0.9
# %%define pre pre10
%define rel 2
%define release %mkrel %{?pre:0.%{pre}.%{rel}}%{?!pre:%{rel}}

Summary:	A program for synchronizing files over a network
Name:		rsync
Version: 	%version
Release:	%release
Group:		Networking/File transfer
URL:		http://rsync.samba.org/
Source0:	http://rsync.samba.org/ftp/rsync/%{name}-%{version}%{?pre}.tar.gz
Source1:	rsync.html
Source2:	rsyncd.conf.html
Source3:	rsync.xinetd
Source4:	http://rsync.samba.org/ftp/rsync/%{name}-%{version}%{?pre}.tar.gz.asc
Source5:	http://rsync.samba.org/ftp/rsync/%{name}-patches-%{version}%{?pre}.tar.gz
Source6:	http://rsync.samba.org/ftp/rsync/%{name}-patches-%{version}%{?pre}.tar.gz.asc
Patch0:		rrsync-bug-3.0.0.patch
License:	GPLv3+
BuildRequires:	popt-devel
BuildRequires:	libacl-devel
BuildRequires:	acl

%define apply_patches 1

%{?_with_patches:%define apply_patches 1}
%{?_without_patches:%define apply_patches 0}

%description
Rsync uses a quick and reliable algorithm to very quickly bring
remote and host files into sync.  Rsync is fast because it just
sends the differences in the files over the network (instead of
sending the complete files). Rsync is often used as a very powerful
mirroring process or just as a more capable replacement for the
rcp command.  A technical report which describes the rsync algorithm
is included in this package.

Install rsync if you need a powerful mirroring program.
%if %apply_patches
This rpm has these patches applied from rsync tree:
  - acl: allow to mirror acl

Rebuild the source rpm with `--without patches' if you don't  want these patches
%endif

%prep
%setup -q -n %{name}-%{version}%{?pre}
%patch0 -p0 -b .rrsync
%if %apply_patches
%setup -q -D -b 5 -n %{name}-%{version}%{?pre}
%__patch -p1 -b -z .dir-del < patches/backup-dir-dels.diff
%__patch -p1 -b -z .acl < patches/acls.diff
%endif

%build
%__autoconf
%__autoheader
%serverbuild
rm -f config.h

%configure2_5x \
    --enable-acl-support \
    --with-nobody-group=nogroup

# kernel or glibc sucks
#perl -pi -e 's:^#define HAVE_LUTIMES 1$:/* #undef HAVE_LUTIMES */:' config.h

%make proto
%make

%check
make test

%install
rm -rf %{buildroot}

install -d %{buildroot}{%{_bindir},%{_mandir}/{man1,man5}}

%makeinstall

install -m644 %{SOURCE1} %{SOURCE2} .
install -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/xinetd.d/rsync

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc tech_report.tex README *html NEWS OLDNEWS
%doc support/rrsync
%config(noreplace) %{_sysconfdir}/xinetd.d/%{name}
%{_bindir}/rsync
%{_mandir}/man1/rsync.1*
%{_mandir}/man5/rsyncd.conf.5*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 3.0.9-2.mga3
+ Revision: 380540
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 24 2011 fwang <fwang> 3.0.9-1.mga2
+ Revision: 147169
- new version 3.0.9

* Sat Apr 02 2011 ahmad <ahmad> 3.0.8-1.mga1
+ Revision: 79830
- update to 3.0.8
- don't disable lutime:
  o we have a recent enough kernel/glibc (and ideally Mageia doesn't officially
    support upgrading from 2008.x)
  o upstream now falls back to utime if lutime function is not around on the system

  + nanardon <nanardon>
    - kill mandriva reference
    - imported package rsync

